SystemOrganization addCategory: #GlamourLoader!

Object subclass: #GlamourLoader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GlamourLoader'!

!GlamourLoader classSide methodsFor: 'flair' stamp: 'tg 7/29/2009 15:35'!
all
	| config |
	self ensureFlairAndGofer.
	config := (Smalltalk at: #FLConfiguration) new.
	self allFor: config.
	^ config! !

!GlamourLoader classSide methodsFor: 'flair' stamp: 'tg 7/29/2009 14:31'!
allFor: config
	config project: 'Glamour All' dependsOn: [
		config package: 'Glamour-All' from: 'http://www.squeaksource.com/Glamour'.
		config package: 'Glamour-Morphic' from: 'http://www.squeaksource.com/Glamour'.
		config package: 'Announcements' from: 'http://www.squeaksource.com/Glamour'.
		self mondrianFor: config.
	]! !

!GlamourLoader classSide methodsFor: 'flair' stamp: 'tg 7/28/2009 12:16'!
ensureFlairAndGofer

	Smalltalk at: #FLProject ifAbsent: [
		ScriptLoader  loadLatestPackage: 'Gofer' from: 'http://source.lukas-renggli.ch/flair'.
		ScriptLoader  loadLatestPackage: 'Flair' from: 'http://source.lukas-renggli.ch/flair'. ].! !

!GlamourLoader classSide methodsFor: 'flair' stamp: 'tg 7/29/2009 22:30'!
load
	self all load! !

!GlamourLoader classSide methodsFor: 'flair' stamp: 'tg 7/29/2009 14:23'!
mondrianFor: config
	ScriptLoader loadLatestPackage: 'MondrianLoader' from: 'http://www.squeaksource.com/Mondrian'.
	^ (Smalltalk at: #MondrianLoader) allFor: config! !
